`is_repo()` returns values to caller, silence function.

Signed-off-by: Dan Schaper <dan.schaper@pi-hole.net>
pull/1033/head
Dan Schaper 8 years ago
parent 68c17b26dc
commit 3365ef7aaa
No known key found for this signature in database
GPG Key ID: 572E999E385B7BFC

@ -26,10 +26,10 @@ is_repo() {
local rc
curdir="${PWD}"
cd "${directory}" || { echo "Unable to change to ${directory}, exiting."; exit 1; }
cd "${directory}" &> /dev/null || return 1
git status --short &> /dev/null
rc=$?
cd "${curdir}" || { echo "Unable to change to ${curdir}, exiting."; exit 1; }
cd "${curdir}" &> /dev/null || return 1
return "${rc}"
}

Loading…
Cancel
Save